Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
Summary: Methods | Inherited Methods | [Expand All]
public static interface

# AppStateManager.StateLoadedResult

implements Result

com.google.android.gms.appstate.AppStateManager.StateLoadedResult

## Class Overview

Result retrieved from `AppStateManager.StateResult` when app state data has been loaded successfully. Possible status codes include:

- `STATUS_OK` if data was successfully loaded and is up-to-date.
- `STATUS_NETWORK_ERROR_NO_DATA` if the device was unable to communicate with the network and has no local data available.
- `STATUS_NETWORK_ERROR_STALE_DATA` if the device was unable to retrieve the latest data from the network.
- `STATUS_CLIENT_RECONNECT_REQUIRED` if the client needs to reconnect to the service to access this data.
- `STATUS_INTERNAL_ERROR` if an unexpected error occurred in the service.
- `STATUS_STATE_KEY_NOT_FOUND` if the requested state key is not found on the server.
- `STATUS_STATE_KEY_LIMIT_EXCEEDED` if the application already has data present in the maximum number of state keys.

## Summary

Public Methods
abstract byte[] | getLocalData()
abstract int | getStateKey()

[Expand] Inherited Methods

From interface com.google.android.gms.common.api.Result

abstract Status | getStatus()

## Public Methods

#### public abstract byte[] getLocalData ()

##### Returns

- The data that was loaded.

#### public abstract int getStateKey ()

##### Returns

- The state key that was loaded.